Subject: bug#22619: closed (Re: bug#22619: postgresql-service error checking wtf)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Feb 2016 11:39:02 +0000

Your bug report

#22619: postgresql-service error checking wtf

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22619: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22619
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22619: postgresql-service error checking wtf
From: [email-masked] (Ludovic Courtès)
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Sun, 21 Feb 2016 12:38:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Danny Milosavljevic <[email-masked]> skribis:

> The actual problem only arises because guix reconfigure doesn't deem a change in service arguments as reason to restart (or reconfigure) a service.
>
> I.e. before, my config was:
>
> (postgresql-service )
>
> Then I did guix reconfigure ...
>
> Afterwards, I changed the config to:
>
> (postgresql-service #:config-file ...)
>
> Then I did giux reconfigure   # this erroneously doesn't reload the postgres service!!

Yes, this is a known limitation: <http://bugs.gnu.org/22039>.

Currently, for services that are safe to be restarted, the solution is
to explicitly stop them beforehand, in which case the new service gets
started by ‘guix system reconfigure’:

  # herd stop postgresql
  # guix system reconfigure new-config.scm

I’m closing this bug.  Let me know if anything else is amiss.

Thanks,
Ludo’.

Subject: postgresql-service error checking wtf
From: Danny Milosavljevic <[email-masked]>
To: [email-masked]
Date: Wed, 10 Feb 2016 20:01:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: postgresql

When I first configure operating-system with postgresql-service with default config file, then run

guix system reconfigure config.scm,

then configure operating-system with postgresql-service with custom config file, then run

guix system reconfigure config.scm,

I get:

---
initdb: directory "/var/lib/postgresql/data" exists but is not empty
If you want to create a new database system, either remove or empty
the directory "/var/lib/postgresql/data" or run initdb
with an argument other than "/var/lib/postgresql/data".
making '/gnu/store/byn534fg4agm0vv9szl5kkfl19n080b2-system' the current system...
Installation finished. No error reported.
----

Postgresql doesn't run and the error message still references the default config file.